<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>

    .container{
           
           height: 500px;
           width:500px;
           border: 2px solid black;
           display: flex;
           flex-direction: row;
           flex-wrap: wrap;
           /* flex-flow: row wrap; -- short  hand property for direction,wrap*/

           justify-content: flex-start;
          /* justify content:space-evenly, space-between,space-around */
          /* align-self: flex-end */
           align-items: center;
           align-content: flex-start;

    }

    .item
    {
        height: 100px;
        width:100px;
        border: 1px solid blue;
        background-color: yellow;
       
        
    }

    #item1
    {
        /* flex-shrink: 0;
        flex-basis: 15px;
        flex-grow: 2; */
        flex: 10 0 10px ;
    }
    #item2
    {
          flex-grow:4;
          
           /* --> flex: short hand property for grow,shrink,basis */ 
    }
    </style>
</head>
<body>
    
<div class="container">

    <div class="item" id="item1">
        Item 1
    </div>

    <div class="item" id="item2">
        Item 2
    </div>

    <div class="item">
        Item 3
    </div>
    <div class="item">
        Item 4
    </div>

    
</div>

</body>
</html>

<!-- Flex is used to align the items either in row or column 1 dimensionally  eg:- -- flex:display > 
<!-  align-content property works  only when flex-wrap is there -->
<!-- flex shrink:- when it is 0 it will not shrinks the items -->
<!-- flex basis :- it will increase the width  -->
<!-- flex grow :- it will increase the width of the one element respective of other element -->